Apt-get ne voit, ne veux, n'entend pas installer avidemux [Fermé]

Signaler
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017
-
 bilzic -
Bonjour à tous,
après de multiples essais je tente ma chance auprès des internautes, quid?
sur linux Sarah, j'ai téléchargé avidemux_2-6-18_fr_429697.tar.gz.
et essayé de l'installer (sudo apt-get avidemux_2-6-18_fr_429697.tar.gz) sans y arriver.
pourtant ce fichier est bien dans le répertoire "telechargements" et pèse 20Mo
le terminal me dit qu'il n'existe pas :

<ital>sudo apt-get install avidemux_2-6-18_fr_429697.tar.gz
[sudo] Mot de passe de xxxx :
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet avidemux_2-6-18_fr_429697.tar.gz
E: Couldn't find any package by glob 'avidemux_2-6-18_fr_429697.tar.gz'
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « avidemux_2-6-18_fr_429697.tar.gz »
</ital>

pouvez vous m'aider.
merci de votre attention



20 réponses

Messages postés
968
Date d'inscription
mercredi 26 avril 2006
Statut
Membre
Dernière intervention
23 janvier 2020
176
Bonjour

Avidemux n'est pas dans les dépots Ubuntu 16.04:
http://packages.ubuntu.com/search?suite=yakkety&searchon=names&keywords=avidemux

Mais on le trouve @ getdeb

1-Ajoute le dépot :
http://archive.getdeb.net/install_deb/getdeb-repository_0.1-1~getdeb1_all.deb

2- sa cle
wget -q -O- http://archive.getdeb.net/getdeb-archive.key | sudo apt-key add -

3-Met à jour
sudo apt-get update

4- Installe Avidemux :
http://www.getdeb.net/install/avidemux2.6-qt

/!\ "Attention : les logiciels du dépôt GetDeb ne sont pas contrôlés par les développeurs d'Ubuntu; leur installation peut rendre votre système instable
À utiliser en toute connaissance de cause"

https://doc.ubuntu-fr.org/getdeb
1-RTFM 2-ATFG 3-Les mots magiques : bonjour, svp, merci.
3
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 84172 internautes nous ont dit merci ce mois-ci

Luke1
Messages postés
19740
Date d'inscription
mercredi 14 novembre 2007
Statut
Contributeur
Dernière intervention
27 janvier 2020
4 706
Merci dom17 pour cette solution elle m'a bien rendu service...
Messages postés
139
Date d'inscription
lundi 11 juin 2012
Statut
Membre
Dernière intervention
9 juillet 2019
26
Bonjour,

apt-get va chercher des paquets sur des dépots (repository), il n'est pas fait pour installer une appli se trouvant dans une archive en local.
Pour ça il faut que tu décompresse ton archive et que tu trouve le script pour installer ton appli:
http://www.it-connect.fr/compresser-et-decompresser-en-tar-gz-sous-linux%EF%BB%BF/
Bonjour,
Ce que tu as téléchargé, c'est le code source du programme avidemux, c'est une archive compressée tar.gz.
Si tu veux l'installer à partir de ce code source, il faut décompresser l'archive, compiler le programme puis l'installer et ça ne se fait pas avec apt-get tout ça mais avec la commande make puis make install. Regarde dans l'archive, il doit vraisemblablement y avoir un fichier readme.txt qui explique comment t'y prendre pour faire tout ça.
Par contre la commande apt-get install nom_du_paquet permet d'installer des paquets binaires (déjà compilés) avec l'extension de fichier .deb situés dans les dépôts de la distribution. Donc rien à télécharger, c'est apt qui se charge de tout. Et je pense que c'est ça que tu voulais faire.
Essaie la commande (en root)
apt-get install avidemux

si avidemux est dans les dépôts, c'est cette version là qui sera installée sans que tu aies besoin de ce que tu as téléchargé.
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

merci aux deux, mais le terminal me renvoi:


tar xzvf avidemux_2-6-18_fr_429697.tar.gz
tar (child): avidemux_2-6-18_fr_429697.tar.gz : open impossible: Aucun fichier ou dossier de ce type
tar (child): Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error is not recoverable: exiting now

qu'en pensez vous,
merci de votre attention
zipe31
Messages postés
38125
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
28 janvier 2020
4 544
Salut,

Pour lancer la commande et qu'elle aboutisse il faut être dans le bon répertoire, celui contenant l'archive téléchargée.
Avidemux n'est pas dans la logithèque ?
Quelle version d'Ubuntu utilises-tu ?

Edit : Pardon j'avais cru que tu avais ubuntu...
C'est quoi ta distribution linux ?
zipe31
Messages postés
38125
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
28 janvier 2020
4 544 > jns55
Salut jns55,

Il utilise Linux Mint Sarah (18) et oui, Avidemux est sûrement dans la logithèque ;-\
> zipe31
Messages postés
38125
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
28 janvier 2020

Il faut que les dépôts multiverse soient activés...
Avidemux était dans les dépôts d'ubuntu 14.04, je ne suis pas sûr qu'il soit encore dans ceux de la 16.04 (donc Mint 18)...
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

bonsoir JNS55 et zipe31
merci de votre attention.

"Pour lancer la commande et qu'elle aboutisse il faut être dans le bon répertoire, celui contenant l'archive téléchargée."
le programme en question est dans le répertoire "téléchargements" mais je ne comprends pas la phrase

et je ne comprend pas ce que c'est que les dépôts multiverses, ni logithèque.
ce que j'ai essayé de faire c'est de demander à synaptic de trouver avidemux sans aucun résultat .

le logiciel est à portée et je voudrais l'installer.
je ne veux pas retourner sur ws pour çà et même à plus forte raison. liux c'est quand même le top.

merci de votre intérêt et de vos propositions
le programme en question est dans le répertoire "téléchargements" mais je ne comprends pas la phrase


Pour te placer dans ton répertoire tape
cd /home/ton_login/Téléchargements


et je ne comprend pas ce que c'est que les dépôts multiverses, ni logithèque.

Dans mint, tu as un "gestionnaire de logiciels", c'est ça la logithèque.

Ouvre synaptic, clique sur le menu Configuration/Dépôts.
Regarde dans les lignes qui sont cochées si tu vois une expression qui ressemble à ceci :
deb http://archive.ubuntu.com/ubuntu xenial main restricted universe multiverse
Si la ligne existe mais sans le mot multiverse édite la ligne et ajoute le mot multiverse et tu valides.
Ensuite tu cliques sur le bouton Recharger et vois si avidemux apparaît maintenant. S'il n'apparaît toujours pas passe par la case compilation mais c'est un peu plus ardu...
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

jns55
j'ai pu me placer dans le bon répertoire (il faut vraiment faire gaffe à la casse!) mais le terminal me renvoi:

[sudo] Mot de passe de xxx :
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet avidemux_2-6-18_fr_429697.tar.gz
E: Couldn't find any package by glob 'avidemux_2-6-18_fr_429697.tar.gz'
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « avidemux_2-6-18_fr_429697.tar.gz »
xxxxx@xxxxPlex-380 ~/Téléchargements $


par contre pour le dépôt même en ajoutant celui que tu indique synaptic ne donne pas avidemux (juste le nom colonne de gauche = rien d'autre)

ceci dit apt indique "impossible de trouver le paquet " ? est ce que cela signifie que ce n'est pas le fichier qu'il cherche?
encore merci
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

bonsoir j'ai du neuf!
voici réponse que me renvoi le terminal:
FR: Ce PPA est consacré à Avidemux, un Virtualdub-like. Les paquets devraient être suffisamment bons pour une utilisation quotidienne. Amusez-vous bien !
Je travaille également sur les dernières révisions à partir des dépôts Github (troisième lien).
Des soucis à l'installation ? N'hésitez pas à m'en parler.
Les paquets GTK+ ne sont plus supportés, car l'interface ne fonctionne pas.
Les utilisateurs devraient installer l'interface Qt4/Qt5 à la place.

http://avidemux.org/
https://github.com/mean00/avidemux2
http://aepatrakov.narod.ru/index/0-2
https://github.com/vapoursynth/vapoursynth
https://github.com/tesseract-ocr/tesseract
http://www.leptonica.org
https://github.com/sekrit-twc/zimg
Plus d'informations : https://launchpad.net/~rebuntu16/+archive/ubuntu/avidemux+unofficial
Appuyez sur Entrée pour continuer ou Ctrl+C pour annuler

Executing: /tmp/tmp.qELMVIr1QC/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--recv-keys
98F78EB3
gpg: demande de la clef 98F78EB3 sur le serveur hkp keyserver.ubuntu.com
gpg: clef 98F78EB3 : clef publique « Launchpad PPA for Nguyen Thanh Tung » importée
gpg: Quantité totale traitée : 1
gpg: importées : 1 (RSA: 1)

qu'en pensez vous
merci de votre attention
Messages postés
968
Date d'inscription
mercredi 26 avril 2006
Statut
Membre
Dernière intervention
23 janvier 2020
176
"voici réponse que me renvoi le terminal:"
en réponse à quoi ?
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

bonsoir à tous
trés juste dom17 , heureusement j'avais sauvegardé le texte:
xxxxx@xxxxPlex-380 ~ $ sudo add-apt-repository ppa:rebuntu16/avidemux+unofficial
[sudo] Mot de passe de xxxx:
Désolé, essayez de nouveau.
[sudo] Mot de passe de xxxx :
Vous êtes sur le point d'ajouter le PPA suivant :
EN: Here is a PPA for Avidemux, a good successor of Virtualdub. The following packages should be well enough for daily usage. Have fun using it !
I'm also working on the latest commits from the Github repository (third link).
Any bug when installing ? Please, contact me.
The GTK+ packages are not supported any more since the interface does not work. Users should install the Qt4/Qt5 one instead.

NOTE: libavidemux2.6(-unstable)-dev package is still not multi-arch. Using pkg-config files should solve this problem.

je peux même pas me permettre de dire que je comprends ce qui est écrit en anglais (loin d'être basique) . par ailleurs la question vaut d'être posée : et si dés fois que le brexit remettrait le français sur la table?

bon sans doute hors sujet, dans l'attente de vos conseils
https://websetnet.com/fr/install-avidemux-video-editor-ubuntu-16-04/
Et en français ! Tu dois installer la version qt puisque la version gtk n'est pas dispo.

Linux mint 18 = Ubuntu 16.04...
Messages postés
968
Date d'inscription
mercredi 26 avril 2006
Statut
Membre
Dernière intervention
23 janvier 2020
176
Bonsoir

As tu essayé ce que j'indiquais au #11 ? (en haut de la page maintenant)
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

Bonsoir à tous
bonsoir Dom17. oui j'avais essayé mais il n'y a que le script de jns55 qui a permis le transfert d'avidemux2.6.
ceci étant j'ai quand même un souci car quand je veux lire une video .mts il me renvoi un message: impossible de trouver un demuxer pour lire le fichier .mts.
je serais tenté de croire que l'install est incomplète mais?
et lorsque j'appelle avidemux avec synaptic il me donne plusieurs paquets mais je ne sais pas lesquels installér (et il y a des fichiers colorés en rouge que j'évite) comment dois je faire?
merci de votre attention
Utilisateur anonyme
Bonsoir,
Les fichiers .mts trouvés sur ce site http://www.online-convert.com/fr/format-fichier/mts sont lisibles par avidemux.
Dans synaptic, si j'appelle avidemux je vois que j'ai installé : avidemux, avidemux-common, avidemux-plugins et avidemux-qt.
Allez voir dans synaptic via le bouton "Filtres personnalisés" (les boutons à gauche) si vous n'avez pas des paquets "Cassés".
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

bonsoir vieux-penible, justement synaptic me dit, après que j'ai sélectionné les paquets sauf les .cli et ceux qui tournent au rouge/orange, qu'il y a des paquets cassés.
j'essaie de suivre ton conseil mais, après avoir écrit dans recherche de synaptic "avidemux2.6" et cliqué sur filtres personnalisés..il ne se passe rien.

merci de vos propositions

Pour voir les paquet cassés il faut juste cliquer sur "Filtres personnalisés" et après, au dessus des boutons, cliquer sur "Cassés" dans la liste des filtres

S'il y a des paquets cassés il faut les ré-installer, au besoin en les supprimant auparavant (attention de bien noter quels paquets seront affectés pour bien tout remettre après).
rever555
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

j'ai bien appliqué les préconisations que tu propose , mais cela donne rien.
Messages postés
2120
Date d'inscription
jeudi 16 septembre 2004
Statut
Membre
Dernière intervention
4 novembre 2019
222
Salut,
sinon avidemux est disponible en AppImage, c'est a dire un fichier exécutable autosuffisant.
- Il se télécharge là : Linux 64, Universal binaries http://fixounet.free.fr/avidemux/download.html
- On ajoute l'autorisation d’exécution dans les propriétés du fichier (clic droit)
- On double clic sur l’icône et ça marche.

rever555
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

bonsoir
Flachy joe, jai effectué les manips que tu propose mais après cocher la case pour que le fichier devienne exécutable, il ne se passe rien quand je clique deux fois sur l'icone..dur
Utilisateur anonyme > rever555
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

Et à part ça, le but de la manœuvre c'est quoi, lecture, montage, conversion ?
VLC lit les mts, handbrake peut les convertir en mp4, FF multi converter en .mkv, etc.
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

bonsoir
pour donner suite au message de vieux penible: je veux pouvoir "travailler" photo par photo et visionner à la vitesse que je veux sans louper aucun détails. vlc est trop brut de caisse.

pour flachy joe aurait tu une proposition pour donner suite à ton dernier message?


merci
Flachy Joe
Messages postés
2120
Date d'inscription
jeudi 16 septembre 2004
Statut
Membre
Dernière intervention
4 novembre 2019
222
Essaye de lancer le fichier appimage depuis un émulateur de terminal :
# dans le dossier contenant le fichier
chmod +x avidemux_2.6.18.appimage
./avidemux_2.6.18.appimage

Et rapporte nous ce que ça t'indique.
> Flachy Joe
Messages postés
2120
Date d'inscription
jeudi 16 septembre 2004
Statut
Membre
Dernière intervention
4 novembre 2019

avidemux_2.6.18.appimage
Remplacer
avidemux_2.6.18.appimage
par
avidemux_2.6.18.appImage
.
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

Merci de votre attention
je viens d'essayer plusieurs fois : cd /home/olivier/telechargements chmod +x avidemux_2.6.18.appImage
./avidemux_2.6.18.appImage
mais le terminal me dit qu'il n' y a pas de fichier de ce nom.

pourtant le copier coller du répertoire donne bien : /home/olivier/Téléchargements/avidemux_2.6.18.appImage

cd sur une seule ligne bien sur: cd /home/olivier/telechargements
bash: cd: /home/olivier/telechargements: Aucun fichier ou dossier de ce type


avec de fait un i majuscule
qu'en pensez vous?
zipe31
Messages postés
38125
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
28 janvier 2020
4 544
Une fois que tu as fait
cd /home/olivier/Téléchargements
, merci de faire un copier/coller de la sortie de la commande suivante :
ls -lh
;-)
Utilisateur anonyme > zipe31
Messages postés
38125
Date d'inscription
dimanche 7 novembre 2010
Statut
Contributeur
Dernière intervention
28 janvier 2020

Apparemment il y a un "T" majuscule à Téléchargements dans le copier-coller du répertoire et pas dans la ligne tapée dans le terminal. Pas cool.
Faites un "copier" du chemin dans votre gestionnaire de fichier et faites un "Shift"+"Insert" pour le coller dans votre terminal, ça évitera toute erreur. N'oubliez pas de compléter avec "/avidemux_2.6.18.appImage".
Flachy Joe
Messages postés
2120
Date d'inscription
jeudi 16 septembre 2004
Statut
Membre
Dernière intervention
4 novembre 2019
222
Sinon glisse le répertoire depuis un explorateur de fichier sur le terminal, ça insère son chemin.
(enfin "chez moi ça marche" mais c'est pas garanti avec n'importe quel explorateur et n'importe quel émulateur de terminal).
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

bonsoir à tous
après manip, le terminal me renvoi

~ $ '/home/olivier/téléchargements' chmod +x avidemux_2.6.18.appImage
bash: /home/olivier/téléchargements: Aucun fichier ou dossier de ce type


ceci étant ne faudrait il pas virer le programme que j'ai chargé et en télécharger un autre.. avez vous une adresse de site qui tienne la route? (si vous estimez le besoin)
Flachy Joe
Messages postés
2120
Date d'inscription
jeudi 16 septembre 2004
Statut
Membre
Dernière intervention
4 novembre 2019
222
/home/olivier/téléchargements/avidemux_2.6.18.appImage
vs
/home/olivier/Téléchargements/avidemux_2.6.18.appImage
et il manque cd pour aller dans le dossier, en fait tu tapes des commandes sans comprendre ce que tu fais, non ?
rever555
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017
> Flachy Joe
Messages postés
2120
Date d'inscription
jeudi 16 septembre 2004
Statut
Membre
Dernière intervention
4 novembre 2019

bonsoir
j'ai loupé cd et je doute sur l'acceptation des majuscules (?). il est un fait que dans une autre vie 14ans de temps) je me servais de ws tous les jours. les commandes ne sont pas les mêmes (manips non plus)
si je comprends bien il faut utiliser le T majuscule. je vais éssayer. a force de creuser...
> rever555
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

si je comprends bien il faut utiliser le T majuscule.
C'est pourtant simple : ouvre le navigateur de fichiers et regarde comment est orthographié le nom de ton dossier de téléchargements. Le plus souvent c'est Téléchargements par défaut ou bien Downloads si la traduction n'a pas été complètement faite.
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

retour sur conseil flachy joe: j'ai bien écrit cd et j'ai bien "tiré" le repertoire
avec avidemux-2.6.18.appImage .
j'ai du retourner sur le fichier pour cohcer l'autorisation éxecutable (clic droit su rle fichier +menu déroulant clic sur propriété, cocher la case) car le terminal avait bien noté que j'avais oublié ;)
ensuite au retour de
./avidemux_2.6.18.appImage

je reçois
bash: ./avidemux_2.6.18.appImage : impossible d’exécuter le fichier binaire : Erreur de format pour exec()


je pense tout à coup que mon ordi ou du moins le programme pourrait ne pas correspondre aux attentes



qu'en penser?
Je vois que tu as Mint 32 bit installé, je ne suis pas sûr que avidemux2.6.18-appImage soit compilé pour le 32 bit.
Je vois seulement 0,9 Go de ram, c'est très peu pour faire tourner Cinnamon. Si tu parviens à démarrer avidemux, tu vas très vite atteindre les limites du pc.Tu pourras pas faire grand chose avec si peu de mémoire.
Tiens, je t'ai trouvé un ppa non officiel :
https://launchpad.net/~rebuntu16/+archive/ubuntu/avidemux+unofficial
Pour linux Mint 18 tu mets les paramètres d'Ubuntu 16.04 (Xenial)
Messages postés
66
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
21 avril 2017

merci, ce qui m'a sans doute embrouillé c'est le fait que si je vais sur https://www.fosshub.com/Avidemux.html/avidemux_2.6.18.appImage, il y a un programme qui se presente automatiquement au telechargement. forcement j'ai assimilé que le site m'envoyait du 32 bits.
je pense que c'est ça.

jns55 je suis allé sur le site avidemux nonofficial mais je ne sait pas ce qu'il convient de faire (anglais insuffisant, je n'arrive pas à intégrer que imposer reviens à ignorer) je ne vois pas comment ni quoi charger?
et pourrais tu préciser le sens de "Pour linux Mint 18 tu mets les paramètres d'Ubuntu 16.04 (Xenial)"; merci
ceci dit je dois aller au lit car demain je me léve à 5heures...
bonne nuit à tous
Rien de plus simple avec appimage sous linuxmint, il faut faire un clic droit sur l'appimage, allez sur propriété puis permissions et cocher 'executer comme un programme" et le programme se lancera.